﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private rp As RuntimePermissions
	Private GeoLoc As GeoLocator
	
	Dim LocOK, SatOK As Boolean
	Dim longi, lati As Double
	Dim place As String
	Dim GPS1 As GPS
	Dim Geocoder1 As Geocoder
	Dim Location As LocationManager

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private LblAdresse2 As Label
	Private LblLat2 As Label
	Private LblLong2 As Label
	Private PnlLocalise2 As Panel
	Dim BtnButton2 As Button
	Dim MyLatitude2, MyLongitude2 As Double
	Dim MyAdresse2 As String
	
	
End Sub
Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("Memo2")
	If FirstTime Then
		'Pour le GPS
		GPS1.Initialize("GPS")
		'Pour Geocoder
		Geocoder1.Initialize("Geocoder1")
		'Pour location Manager
		Location.Initialize("Location")
	End If
End Sub
Sub GPS_LocationChanged (Location1 As Location)
	
	lati = Location1.Latitude
	longi = Location1.Longitude
	LocOK = True
	LblLat2.Text = lati
	LblLong2.Text = longi
	LatLonToPlace(lati, longi)
	
	'Dim MaxResults As Int
	'MaxResults=5
	'Geocoder1.GetFromLocation(lati, longi, MaxResults, Null)

	Log("Ah Ah")
'
End Sub


Sub LatLonToPlace(lat As Double, lon As Double) 'As ResumableSub
	
	Dim API_KEY As String = "AIxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5oPI"
	Dim res As String
	Dim GetAddressJob As HttpJob
	GetAddressJob.Initialize("GetAddress", Me)
	GetAddressJob.Download2("https://maps.googleapis.com/maps/api/geocode/json", Array As String("latlng", lat & "," & lon,"key",API_KEY))
	Wait For (GetAddressJob) JobDone(GetAddressJob As HttpJob)
	If GetAddressJob.Success Then
		Dim jp As JSONParser
		jp.Initialize(GetAddressJob.GetString)
		Dim m As Map = jp.NextObject
		
		'xxxxxxxxxxxxxx No runs beneath xxxxxxxxxxxxxxxxx
		If m.Get("status") = "OK" Then
			Dim results As List = m.Get("results")
			If results.Size > 0 Then
				Dim first As Map = results.Get(0)
				res = first.Get("formatted_address")
				Log(res)
				'res contain address string
			End If
		End If
		'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	
		
	End If
	
	GetAddressJob.Release
End Sub


Sub Activity_Resume
	If GPS1.GPSEnabled = False Then
		ToastMessageShow("Veuillez activer la fonction GPS de votre appareil", True)
		StartActivity(GPS1.LocationSettingsIntent) 'Will open the relevant settings screen.
	Else
		GPS1.Start(0, 0) 'Listen to GPS with no filters.
	End If
	Location.requestLocation
	LatLonToPlace(lati, longi)
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	GPS1.Stop
End Sub


Sub BtnRetour2_Click
	Activity.Finish
	StartActivity(Main)
End Sub